Package twisted :: Package coil :: Module app :: Class ConnectorCollection

[show private | hide private]
[frames | no frames]

## Class ConnectorCollection

    Collection --+
                 |
       Constrained --+
                     |
      ConfigCollection --+
                         |
                        ConnectorCollection

Method Summary
| `__init__(self, app)`
| `__repr__(self)`
| `__str__(self)`
| ``delEntity`(self, name)` Remove a static reference for 'name'.
| ``entityConstraint`(self, entity)` A method that determines whether an entity may be added to me. (inherited from `ConfigCollection`)
| ``getDynamicEntity`(self, name, request)` Subclass this to generate an entity on demand. (inherited from `Collection`)
| ``getEntity`(self, name, request)` Retrieve an entity from me. (inherited from `Collection`)
| `getEntityType(self)`
| `getNameType(self)` (inherited from `ConfigCollection`)
| ``getStaticEntity`(self, name)` Get an entity that was added to me using putEntity.
| ``listDynamicEntities`(self, request)` A list of all name, entity that I can generate on demand. (inherited from `Collection`)
| ``listDynamicNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Collection`)
| ``listEntities`(self, request)` Retrieve a list of all name, entity pairs I contain. (inherited from `Collection`)
| ``listNames`(self, request)` Retrieve a list of all names for entities that I contain. (inherited from `Collection`)
| ``listStaticEntities`(self)` Retrieve a list of all name, entity pairs that I store references to. (inherited from `Collection`)
| ``listStaticNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Collection`)
| ``nameConstraint`(self, name)` A method that determines whether an entity may be added to me with a given name.
| ``putEntity`(self, name, entity)` Store an entity if it meets both constraints. (inherited from `Constrained`)
| ``reallyPutEntity`(self, name, connector)` Adds a Connector to the Application.
| ``removeEntity`(self, name, request)` Remove an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| ``storeEntity`(self, name, request)` Store an entity for 'name', based on the content of 'request'. (inherited from `Collection`)

Class Variable Summary
`MetaInterface` | `entityType`

Method Details

### delEntity(self, name)

Remove a static reference for 'name'.

Raises a KeyError if the operation fails.

  Overrides:
    `twisted.python.roots.Collection.delEntity` (inherited documentation)

### getStaticEntity(self, name)

Get an entity that was added to me using putEntity.

This method will return 'None' if it fails.

  Overrides:
    `twisted.python.roots.Collection.getStaticEntity` (inherited documentation)

### nameConstraint(self, name)

A method that determines whether an entity may be added to me with a given name.

If the constraint is satisfied, return 1; if the constraint is not satisfied, either return 0 or raise a descriptive ConstraintViolation.

  Overrides:
    `twisted.python.roots.Constrained.nameConstraint` (inherited documentation)

### reallyPutEntity(self, name, connector)

Adds a Connector to the Application.

Class Variable Details

### entityType

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IConnector'>

Generated by Epydoc 1.1 on Thu May 8 13:16:20 2003 | http://epydoc.sf.net